com.r3corda.client.fxutils / ReadOnlyBackedObservableMapBase / <init>

# <init>

`ReadOnlyBackedObservableMapBase()`

ReadOnlyBackedObservableMapBase is a base class implementing all abstract functions required for an ObservableMap using a backing HashMap that subclasses should modify.

Non-read-only API calls throw.

### Parameters

`K` - The key type.
`A` - The exposed map element type.
`B` - Auxiliary data subclasses may wish to store in the backing map.